package com.acme.model.domain.ejf.sessionbean;


import com.acme.structure.BaseFilter;
import com.acme.structure.GridData;
import com.acme.structure.ServerResponse;

import java.lang.reflect.InvocationTargetException;

import java.util.Collection;

import javax.ejb.Remote;


@Remote
public interface EJFManager
{
    public ServerResponse synchronizeRoles(GridData gridData) throws Exception;

    public Collection findRoles();
    
    public Collection findRolesForList();
    
    public Collection findRoleGroups();
    
    public ServerResponse synchronizeRoleGroups(GridData gridData) throws Exception;
    
    public Collection findRoleGroupsForList() throws Exception;    
    
    public Collection findLogs(BaseFilter baseFilter) throws NoSuchMethodException, InvocationTargetException, IllegalAccessException;
}
